Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 239847 - Keywording of >=www-client/epiphany*-2.24.0.1
Summary: Keywording of >=www-client/epiphany*-2.24.0.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 275807
Blocks: gnome2.24 260063
  Show dependency tree
 
Reported: 2008-10-05 07:50 UTC by Mart Raudsepp
Modified: 2010-06-26 11:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2008-10-05 07:50:38 UTC
Hello arches,

libcanberra is a new blessed dependency of GNOME. It provides a library for portable event sound API, that implements the Freedesktop.org sound theme specification. It can use either pulseaudio, alsa, gstreamer or a dummy null driver to play themed sounds with that priority order of output methods (pulseaudio can do glitch-free and positional event sounds, alsa doesn't possibly loose some utilized hardware features, gstreamer supports resampling on systems where ALSA and pulse is not available).
libcanberra will be a hard dependency on epiphany and (maybe optional in) gnome-control-center and replaces the dreaded esound daemon in all remaining GNOME usages in GNOME-2.24.

x11-themes/sound-theme-freedesktop is a default fallback sound theme for use by sound theme supporting libraries and applications, currently only through libcanberra.

As these packages will become the replacement of esound, gnome-audio and system sounds in GNOME-2.24, please give them some keyword love.

You can test by installing both (libcanberra with USE=gtk) and using canberra-gtk-play --id="<sound themed name>", where "sound themed name" is one from the documented themable sounds at http://0pointer.de/public/sound-naming-spec.html
However sound-theme-freedesktop supports only a subset of those, so basically you can test with any .ogg file that sound-theme-freedesktop ships as the ID, dropping the .ogg suffix. So canberra-gtk-play --id="desktop-login" should play the default desktop login sound.

You can also test by running a gtk+ application, such as gtk-demo, with the gtk+ sound events module provided by libcanberra[gtk], as follows on a graphical terminal:

GTK_MODULES="canberra-gtk-module" gtk-demo
... with that various operations, such as clicking on buttons, minimizing, maximizing, etc, should make sounds.

Hopefully all arches that have keywords on gnome-audio, epiphany and/or gnome-control-center can add the keywords (the gtk+ event sounds can be useful to everyone, GNOME users or not). This is a requirement for a full GNOME-2.24.
Comment 1 Mart Raudsepp gentoo-dev 2008-10-06 01:10:04 UTC
bug 240093 tells that if you use pulseaudio then event sounds with hyphens won't be played until bug 240093 is solved. So you can test with something that doesn't have a hyphen or not use pulseaudio - I don't think keywording should be blocked by a pulseaudio case here, as this is just with one of the drivers, and we are talking only of ~arch, not stabilization.
Comment 2 Mart Raudsepp gentoo-dev 2008-10-06 04:50:20 UTC
Please also re-keyword www-client/epiphany-2.24.0.1 (or newer if available by then) when there's libcanberra. Epiphany-2.24 ebuild currently hard depends on libcanberra, but if really necessary we can make it optional, even though libcanberra is really tiny (89KB in total for main library, gtk+ library and a good backend sound driver)
Comment 3 Mart Raudsepp gentoo-dev 2008-10-06 06:35:27 UTC
also www-client/epiphany-extensions-2.24.0 please, as it depends on >=epiphany-2.24.0
Comment 4 Mart Raudsepp gentoo-dev 2008-10-06 06:36:18 UTC
for epiphany and epiphany-extensions I of course mean rekeywording if you have keywords on previous versions - if not, I don't object adding keywords regardless though ;)
Comment 5 Thorsten Vollmer 2008-10-06 23:05:37 UTC
(In reply to comment #1)
> bug 240093 tells that if you use pulseaudio then event sounds with hyphens
> won't be played until bug 240093 is solved.
This particular bug was introduced in pulseaudio-0.9.12. Pulseaudio-0.9.11-r2 works, as does pulseaudio-0.9.13.
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2008-10-10 11:44:56 UTC
~alpha/~ia64/~sparc done
Comment 7 Jeroen Roovers gentoo-dev 2008-11-12 08:18:41 UTC
Marked ~hppa.
Comment 8 Gilles Dartiguelongue gentoo-dev 2008-11-21 22:02:14 UTC
ppc/ppc64, this is a notification that you just lost your keyword on >=xchat-gnome-0.24 because of this bug.
Comment 9 Brent Baude (RETIRED) gentoo-dev 2008-12-17 17:53:30 UTC
~ppc64. i guess we are in a position to ~xchat-gnome but that also has a hard dep on a newer gcc that we have stable.
Comment 10 Joe Jezak (RETIRED) gentoo-dev 2009-02-27 20:06:56 UTC
Marked ~ppc.
Comment 11 Raúl Porcel (RETIRED) gentoo-dev 2009-03-02 18:31:39 UTC
I already did this for arm/sh
Comment 12 Gilles Dartiguelongue gentoo-dev 2009-09-16 21:18:48 UTC
@bsd, can you give us a status on what you intend to keyword and what not ? TIA.
Comment 13 Alexis Ballier gentoo-dev 2009-09-16 21:40:03 UTC
(In reply to comment #12)
> @bsd, can you give us a status on what you intend to keyword and what not ?
> TIA.

libcanberra and the sound theme have been done a while ago, epiphany requires xul 1.9, bug #275807
Comment 14 Gilles Dartiguelongue gentoo-dev 2009-09-16 21:43:27 UTC
thanks for the update. Updating summary and dependencies.
Comment 15 Samuli Suominen gentoo-dev 2010-02-23 20:30:10 UTC
As per Comment #13, nothing for sound@ here.
Comment 16 Nirbheek Chauhan (RETIRED) gentoo-dev 2010-06-26 09:30:41 UTC
As discussed with BSD, xulrunner-1.9 issues are not going to be fixed anytime soon => nuke keywords for now by removing 2.24.3 versions of epiphany & epiphany-extensions (bug 324953)